LIBKYHWINFO(3)

NAME
kdk_usb_get_list, kdk_usb_free - 获取usb信息

SYNOPSIS
#include <libkyusb.h>

extern pDriverInfoList kdk_usb_get_list();

extern void kdk_usb_free(pDriverInfoList list);

Link with -lkyusb.

Detailed Description
This library contains usb information.

DATA STRUCTURES
Structure pDriverInfoList contains information related to a usb information: typedef struct driver_list {
    struct driver_info *data;
    struct driver_list *next;
} DriverInfoList, *pDriverInfoList; There are other members not documented here, which are only meant for libkyusb internal use. Structure driver_info contains information related to a usb information: typedef struct driver_info {
    char name[32]; //名称
    char type[2 + 1]; //类型
    char pid[4 + 1];
    char vid[4 + 1];
    char serialNo[32]; //序列号
    char devNode[32]; //路径
} DriverInfo, *pDriverInfo; There are other members not documented here, which are only meant for libkyusb internal use.

RETURN VALUE
The return value is generally specific to the individual function called.

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_usb_get_list() and kdk_usb_free().

SEE ALSO
kdk_usb_get_list(3) and kdk_usb_free(3).